Reveal project signing secret
Returns the encrypted-at-rest signing secret used to create trusted runtime embed URLs. Keep this value server-side.
GET
/api/v1/projects/{id}/signing-secret
Returns the encrypted-at-rest signing secret used to create trusted runtime embed URLs. Keep this value server-side.
Authentication
Bearer Token API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Responses
200
Project signing secret
application/jsonsigning_secret
string
REQUIRED
404
Not found
curl -X GET 'https://littledemo.com/api/v1/projects/string/signing-secret' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/projects/string/signing-secret', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/v1/projects/string/signing-secret', headers=headers)print(response.json())
200
Response
{ "signing_secret": "<string>"}
API Playground
Try this endpoint
GET
/api/v1/projects/{id}/signing-secret